## fsearch-0.1.4.tar.gz

=== meson_options.txt ===
option('channel',
          type: 'combo',
       choices: [ 'other', 'AUR-stable', 'AUR-devel', 'copr-stable', 'copr-nightly', 'PPA-stable', 'PPA-nightly', 'snap-stable', 'snap-nightly', 'flathub-stable', 'flathub-nightly' ],
   description: 'The distribution channel for FSearch',
)

=== debian/changelog ===
fsearch (0.1.4) unstable; urgency=medium

  *  New upstream release: 0.1.4

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Tue, 05 Jul 2022 17:30:53 +0200

fsearch (0.1.3) unstable; urgency=medium

  * New upstream release: 0.1.3

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Tue, 21 Jun 2022 13:34:10 +0200

fsearch (0.1.2) unstable; urgency=medium

  * New upstream release: 0.1.2

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Thu, 03 Feb 2022 18:07:21 +0100

fsearch (0.1.1) unstable; urgency=medium

  * New upstream release: 0.1.1

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Thu, 03 Feb 2022 18:07:00 +0100

fsearch (0.1) unstable; urgency=medium

  * Initial Release.

 -- Christian Boxdörfer <christian.boxdoerfer@posteo.de>  Thu, 03 Feb 2022 18:06:23 +0100

=== debian/control ===
Source: fsearch
Section: utils
Priority: optional
Maintainer: Christian Boxdörfer <christian.boxdoerfer@posteo.de>
Build-Depends: debhelper (>=9),
    autotools-dev,
    build-essential,
    automake,
    autoconf,
    libtool,
    pkg-config,
    autopoint,
    autoconf-archive,
    libicu-dev,
    libpcre3-dev,
    libglib2.0-dev,
    libgtk-3-dev,
    libxml2-utils
Standards-Version: 3.9.6
Homepage: https://cboxdoerfer.github.io/fsearch/

Package: fsearch
Architecture: any
Replaces: fsearch-trunk
Breaks: fsearch-trunk
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A fast graphical file search utility
    FSearch is a fast file search utility, based on GTK3.
    It supports regular expressions, wildcards, fast sorting,
    instant results with millions of files and more.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with autotools_dev


# dh_make generated override targets
override_dh_auto_configure:
	./autogen.sh
	./configure --enable-debug --with-build-channel="PPA-stable" --prefix=/usr

# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
